Bug 1211795 - virt-manager doesn't notice new storage after VM is cloned
Summary: virt-manager doesn't notice new storage after VM is cloned
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-14 22:44 UTC by Cole Robinson
Modified: 2015-06-05 23:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-05 23:02:58 UTC


Attachments (Terms of Use)

Description Cole Robinson 2015-04-14 22:44:50 UTC
Clone a VM, then try to delete it, and the delete wizard thinks the newly created disk image doesn't exist.

Fixed upstream now by:

commit 7b1a4634a87cd4fd66a4545f5839ea1c236f6e97
Author: Cole Robinson <crobinso@redhat.com>
Date:   Tue Apr 14 18:42:56 2015 -0400

    clone: Refresh cached pools after storage creation

Comment 1 Fedora Update System 2015-05-04 19:41:00 UTC
virt-manager-1.2.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/virt-manager-1.2.0-1.fc22

Comment 2 Fedora Update System 2015-05-08 07:42:35 UTC
Package virt-manager-1.2.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-1.2.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7640/virt-manager-1.2.0-1.fc22
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.